Skip to main content
POST
/
quickbooks-desktop
/
sales-tax-payment-checks
JavaScript
import Conductor from 'conductor-node';

const conductor = new Conductor({
  apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});

const salesTaxPaymentCheck = await conductor.qbd.salesTaxPaymentChecks.create({
  bankAccountId: '80000001-1234567890',
  lines: [{ amount: '1000.00' }],
  transactionDate: '2024-10-01',
  vendorId: '80000001-1234567890',
  conductorEndUserId: 'end_usr_1234567abcdefg',
});

console.log(salesTaxPaymentCheck.id);
{
  "id": "123ABC-1234567890",
  "objectType": "qbd_sales_tax_payment_check",
  "createdAt": "2025-01-01T12:34:56.000Z",
  "updatedAt": "2025-02-01T12:34:56.000Z",
  "revisionNumber": "1721172183",
  "vendor": {
    "id": "80000001-1234567890",
    "fullName": "State Tax Agency"
  },
  "transactionDate": "2024-10-01",
  "bankAccount": {
    "id": "80000001-1234567890",
    "fullName": "Checking"
  },
  "amount": "1000.00",
  "refNumber": "TAXPMT-1234",
  "memo": "Sales tax payment for Q3 2024",
  "address": {
    "line1": "Conductor Labs Inc.",
    "line2": "540 Market St.",
    "line3": "Suite 100",
    "line4": "",
    "line5": "",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94110",
    "country": "United States",
    "note": "Conductor HQ"
  },
  "isQueuedForPrint": true,
  "externalId": "12345678-abcd-1234-abcd-1234567890ab",
  "lines": [
    {
      "id": "456DEF-1234567890",
      "objectType": "qbd_sales_tax_payment_check_line",
      "salesTaxItem": {
        "id": "80000001-1234567890",
        "fullName": "State Sales Tax"
      },
      "amount": "1000.00",
      "taxAmount": "10.00"
    }
  ],
  "customFields": [
    {
      "ownerId": "0",
      "name": "Customer Rating",
      "type": "string_1024_type",
      "value": "Premium"
    }
  ]
}

Authorizations

Authorization
string
header
required

Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").

Headers

Conductor-End-User-Id
string
required

The ID of the End-User to receive this request.

Example:

"end_usr_1234567abcdefg"

Body

application/json
vendorId
string
required

The sales-tax agency, represented as a QuickBooks vendor, receiving this sales-tax payment check. This must match the tax vendor associated with the sales-tax items in the payment lines.

Maximum string length: 36
Example:

"80000001-1234567890"

transactionDate
string<date>
required

The date of this sales-tax payment check, in ISO 8601 format (YYYY-MM-DD).

Example:

"2024-10-01"

bankAccountId
string
required

The bank account from which the funds are being drawn for this sales-tax payment check; e.g., Checking or Savings. This sales-tax payment check will decrease the balance of this account.

Maximum string length: 36
Example:

"80000001-1234567890"

lines
object[]
required

The payment lines in this sales-tax payment check, each recording an amount paid toward a sales-tax item.

Minimum array length: 1
isQueuedForPrint
boolean

Indicates whether this sales-tax payment check is included in the queue of documents for QuickBooks to print.

Example:

true

refNumber
string

The case-sensitive user-defined reference number for this sales-tax payment check, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user. When left blank in this create request, this field will be left blank in QuickBooks (i.e., it does not auto-increment).

IMPORTANT: For checks, this field is the check number.

Maximum length: 11 characters.

Maximum string length: 11
Example:

"TAXPMT-1234"

memo
string

A memo or note for this sales-tax payment check.

Example:

"Sales tax payment for Q3 2024"

address
object

The address that is printed on the sales-tax payment check.

externalId
string<uuid>

A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.

IMPORTANT: This field must be formatted as a valid GUID; otherwise, QuickBooks will return an error.

Example:

"12345678-abcd-1234-abcd-1234567890ab"

Response

200 - application/json

Returns the newly created sales-tax payment check.

id
string
required

The unique identifier assigned by QuickBooks to this sales-tax payment check. This ID is unique across all transaction types.

Example:

"123ABC-1234567890"

objectType
string
required

The type of object. This value is always "qbd_sales_tax_payment_check".

Allowed value: "qbd_sales_tax_payment_check"
Example:

"qbd_sales_tax_payment_check"

createdAt
string
required

The date and time when this sales-tax payment check was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.

Example:

"2025-01-01T12:34:56.000Z"

updatedAt
string
required

The date and time when this sales-tax payment check was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.

Example:

"2025-02-01T12:34:56.000Z"

revisionNumber
string
required

The current QuickBooks-assigned revision number of this sales-tax payment check object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.

Example:

"1721172183"

vendor
object
required

The sales-tax agency, represented as a QuickBooks vendor, receiving this sales-tax payment check. This must match the tax vendor associated with the sales-tax items in the payment lines.

Example:
{
"id": "80000001-1234567890",
"fullName": "State Tax Agency"
}
transactionDate
string<date>
required

The date of this sales-tax payment check, in ISO 8601 format (YYYY-MM-DD).

Example:

"2024-10-01"

bankAccount
object
required

The bank account from which the funds are being drawn for this sales-tax payment check; e.g., Checking or Savings. This sales-tax payment check will decrease the balance of this account.

Example:
{
"id": "80000001-1234567890",
"fullName": "Checking"
}
amount
string
required

The total monetary amount of this sales-tax payment check, represented as a decimal string. This equals the sum of the amounts in the sales-tax payment check lines.

Example:

"1000.00"

refNumber
string | null
required

The case-sensitive user-defined reference number for this sales-tax payment check, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.

IMPORTANT: For checks, this field is the check number.

Example:

"TAXPMT-1234"

memo
string | null
required

A memo or note for this sales-tax payment check.

Example:

"Sales tax payment for Q3 2024"

address
The Address object · object
required

The address that is printed on the sales-tax payment check.

isQueuedForPrint
boolean | null
required

Indicates whether this sales-tax payment check is included in the queue of documents for QuickBooks to print.

Example:

true

externalId
string | null
required

A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.

Example:

"12345678-abcd-1234-abcd-1234567890ab"

lines
The Sales-Tax Payment Check Line object · object[]
required

The payment lines in this sales-tax payment check, each recording an amount paid toward a sales-tax item.

customFields
The Custom Field object · object[]
required

The custom fields for the sales-tax payment check object, added as user-defined data extensions, not included in the standard QuickBooks object.